NPROC(1)

NAME
nproc - Print the number of cores available to the current process. If the OMP_NUM_THREADS or OMP_THREAD_LIMIT environment variables are set, then they will determine the minimum and maximum returned value respectively.

SYNOPSIS
nproc [--all] [--ignore] [-h|--help] [-V|--version]

DESCRIPTION
Print the number of cores available to the current process. If the OMP_NUM_THREADS or OMP_THREAD_LIMIT environment variables are set, then they will determine the minimum and maximum returned value respectively.

OPTIONS

--all
    print the number of cores available to the system

--ignore <N> [default: 0]
    ignore up to N cores

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Display the number of available processing units: nproc Display the number of installed processing units, including any inactive ones: nproc --all If possible, subtract a given number of units from the returned value: nproc --ignore {{count}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0